<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: David Gtl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."tell_a_friend/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."tell_a_friend/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."tell_a_friend/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."tell_a_friend/locale/English.php";
}

// Infusion general information
$inf_title = $lang['43'];
$inf_description = $lang['44'];
$inf_version = "1.0";
$inf_developer = "David Gtl";
$inf_email = "Eistee100@hotmail.com";
$inf_weburl = "http://www.darkweb.at/";

$inf_folder = "tell_a_friend"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = TAF." (
text1 TEXT NOT NULL,
text2 TEXT NOT NULL,
count TEXT NOT NULL,
url TEXT NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[1] = TAF." (text1, text2, count, url) VALUES ('".$lang['46']."', '".$lang['47']."', '0', '".$lang['48']."')";

$inf_droptable[1] = TAF;

$inf_altertable[1] = "";

$inf_deldbrow[1] = "";

$inf_adminpanel[1] = array(
	"title" => $lang['51'],
	"image" => "image.gif",
	"panel" => "tell_a_friend_admin.php",
	"rights" => "TAF"
);

$inf_sitelink[1] = array(
	"title" => $lang['45'],
	"url" => "index.php",
	"visibility" => "0"
);
?>